Bug 97523 - (VM)excessive and constant swapping
(VM)excessive and constant swapping
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-17 03:39 EDT by Christopher Chan
Modified: 2007-04-18 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Chan 2003-06-17 03:39:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
I find that for boxes using RH 7.2 or 7.3, if I upgrade to any of the
2.4.20-xx.7 releases for RH 7.x, a lot of swapping occurs. Worst yet, free -m
shows that there is plenty of memory that could have been used instead of paging
to disk...

Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-xx(13/18).7

How reproducible:
Always

Steps to Reproduce:
1. start server
2. put some load on the services
3. wait
    

Actual Results:  vmstat 1 reports plenty of swapping even though there is PLENTY
of physical memory available....

Expected Results:  when there is physical memory available, there should not be
any constant paging to disk

Additional info:

vmstat 1
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 0 417  1 129884   9572 307492 383892   0   1    11    11    9    30   9   9  12
 1 401  1 129980   9500 307564 383736  24 124   240  8528 2418  8975  14  41  44
 4 376  1 130256   9512 307620 383536  12 596   260 10508 3074 12116  23  52  25
 0 394  1 130456   9572 307676 383208  48 324    92  6552 2203  6585  12  42  47
 0 399  1 130604   9568 307632 383172  12 220    52  3200 1072  3674   8  13  78
 0 380  2 130512   9592 307688 383084  36   0   104  6560 1800  8267  15  32  53
 4 373  1 130556   9604 307716 382968  20 160   276  9288 2629 11318  16  63  21
 0 377  1 130676   9592 307780 382928  16 124   232  6904 2048  8183  11  38  51

[root@spf1 postfix]# free -m
             total       used       free     shared    buffers     cached
Mem:          1006        997          9          0        300        374
-/+ buffers/cache:        322        683
Swap:         2047        127       1919
[root@spf1 postfix]# cat /etc/redhat-release
Red Hat Linux release 7.2 (Enigma)
[root@spf1 postfix]# uname -a
Linux spf1.us.outblaze.com 2.4.20-18.7smp #1 SMP Thu May 29 07:49:23 EDT 2003
i686 unknown
Comment 1 Christopher Chan 2003-06-17 03:41:36 EDT
Some numbers for a postfix box running 7.2 and the latest errata kernel

[root@spf1 postfix]# vmstat 1
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 0 198  1  38296   9780 343628 428872   0   0    11     7    8    24   9   9  12
 3 187  1  37900   9584 343672 422032  68   4    72  2544 1204  1801  16  25  59
 2 176  1  40032   9472 343260 408828  36 3356    52  6400 1783  3180  27  54  19
 0 140  1  43808   9432 342816 405556 132 4156   152 12392 2138  4599  14  29  57
 0 117  1  44892   9416 342588 405868 124 1420   152 10268 1889  4131   5  14  82
postsuper: warning: bogus file name: incoming/586936.11341
 0 92  2  44848   9496 342556 406024 132 348   136  3648  896  1843   4  21  75
 0 13  1  44588   8472 342660 406032 400  68   408  9144 1824  3574   6  22  71
 0  6  1  43872   8492 342540 402692 244 864   244  4224 1279  1861  17  33  50
 0 20  1  44392  10324 342040 402992 324 920   392  1180 1169  1391   4  23  72
 1  4  1  43500  10796 342072 403904 572 240   584 10664 2350  4812  14  30  56
 0 13  3  43500  11352 341872 404576   8  12    12  5464 1302  1921   2   8  90
 0  5  4  43452  11364 341632 405140  76 220    88  3544 1254  1854   4  19  77
 1  4  1  43584  10328 341480 406880  84 404    84 17772 3584  8070  10  25  64
 1  3  1  43924   9496 341528 407708  36 388    36 12356 2632  5193   6  20  74
 0  2  1  43964  10272 341608 408192 272 456   296 14112 2620  5032   8  16  76
 2  3  2  42968   9804 341712 408320 384 196   384  4416 2022  3953  10  18  72
 0  2  1  43076   9508 342044 408760  20 132    24 15308 2469  4719   4  27  69
 2  2  1  41604  10328 342100 408772 228 288   248  5336 1302  4672  20  30  50
 0  2  1  40316  11844 342268 409208 332   0   332 11980 2230  5062  11  22  67
 0  5  1  40244  11896 342276 409704  68 196    80  9536 1609  3401   6  10  85
 0  3  1  39008  12824 342484 410080 148   0   148 10556 1891  4110  10  14  76
 3  7  1  37548  14768 342588 410512 136 196   264  5960 1270  3630  14  35  51
 0  6  1  36496  17040 342892 410724  64   0    68 15336 2035  5748  15  25  61
 0  1  1  35700  18724 342924 411092 168  96   304  3336 1129  3708  18  15  67
 7 23  3  34356  20520 342924 411664 192 192   192  6056 1281  6739  24  24  52
 5 14  2  33600   9652 343084 412140  60   0    60 11056 2467  5778  34  52  14
51 75  1  32300  15996 342956 405348 212 876   220  6124 1662  7525  25  65  10
 6 89  3  31496   9580 342848 406184 176 228   176 12256 2846 10104  29  70   0
 0 146  3  36416   9748 342372 392380  24 5476    36  5828  753  1505  22  43  35
 7 203  1  35440   9436 342160 389872 208 508   216  2824 1110  3440  15  27  58
74 192  4  33080  11788 341796 387148 144 1116   244 10740 2846 10843  31  68   1
 1 214  2  35372   9384 341548 377176 168 3108   260  8424 1707  4836  32  52  16
 4 303  3  32820   9388 340152 374268 916 3540  1124  5484 1502  5060  25  63  12
 0 372  1  28084  13920 340052 372048 916 320  1044  1004 1033  5751  13  33  54
 2 347  1  21396  13268 339656 372792 1600 832  1604  5724 2388  6883  29  52  20
 0 384  2  23812   9644 339668 370824   4 2424     4  4892 1251  3676  14  43  43
 2 387  2  24812   9500 339756 370356 232 1500   248  7028 1841  6639  17  24  59
 1 399  1  25560   9380 339884 369396 312 1120   400 10000 2100  5746  14  32  54
 0 362  2  28260   9364 339996 367844 212 2700   224 10632 2450  9449  18  37  45
 0 395  1  29020   9348 340000 367504 116 888   132  1896  987  3022   5  13  82

Comment 2 Christopher Chan 2003-06-19 02:20:22 EDT
FYI.

I switched to a RH based kernel that had XFS patches applied,
2.4.20-13SGI_XFS_1.2.0.smp, on the postfix box and the swapping went away.
Comment 3 Christopher Chan 2003-07-08 02:37:21 EDT
We have observed the same behaviour on a webserver machine running RH 7.3.

Downgrading to a RH 2.4.18-27x would eliminate the problem.

Or switching to a RH 2.4.20-xx that has SGI XFS patches applied.
Comment 4 Bugzilla owner 2004-09-30 11:41:09 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.